<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  ログイン画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBBS.pc.view
 */
class loginAction extends Pocket_Bbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  メイン情報の取得、設定
         */
        // Cookie保存データの設定
        $this->assign('id', $_COOKIE['user_id']);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', 'ログイン');

        return POCKET_ACTION_SUCCESS;
    }
}

?>
