{include file="incHtmlHeader.tpl" block_type="3"}

<body>
<div id="container">

{include file="incBlockHeader.tpl"}

<div id="container-main">

<div class="center-left">

<div class="left">

{* 左サイドメニュー *}
{include file="incSideBlockLeft.tpl"}

</div><!-- end left -->

{* ここから：本文 *}
<div class="center">
<br />

{* ここから：カテゴリのパン屑リスト *}
{foreach from=$breadcrumbs_list item=item name=breadcrumbs}
<a href="?m=pc&amp;a=categoryList.view&amp;category_id={$item.category_id}" title="{$item.outline}">{$item.category_name}</a>
{if !$smarty.foreach.breadcrumbs.last}
&gt;
{/if}
{/foreach}
<br />
<br />
{* ここまで：カテゴリのパン屑リスト *}

{* ここから：トピック *}
<div class="table-title">
<h1>{$topic.subject}</h1>
</div><!-- end table-title -->
<div class="table-head">
</div><!-- end table-head -->
<div class="table-body">
{$topic.body}
</div><!-- end table-body -->
<div class="table-foot">
by&nbsp;{$topic.author_name}&nbsp;at&nbsp;{$topic.r_datetime|date_format:"%Y/%m/%d %H:%M"}<br />
<a href="?m=pc&amp;a=topicEditConfirm.view&amp;topic_id={$topic.topic_id}">編集</a>
</div><!-- end table-foot -->
<br />
{* ここまで：トピック *}

{* ここから：コメント一覧 *}
<div class="table-title">
<a id="comments"></a>
コメント
</div><!-- end table-title -->
{foreach from=$topic_comments item=item name=topic_comments}
{if $smarty.foreach.topic_comments.first}
<div class="table-body">
{else}
<div class="table-body-middle">
{/if}
<a id="comment{$item.topic_comment_id}"></a>
{$item.comment}
</div><!-- end table-body -->
<div class="table-foot">
by&nbsp;{$item.author_name}&nbsp;at&nbsp;{$item.r_datetime|date_format:"%Y/%m/%d %H:%M"}<br />
{if $topic.allow_comment == '1' || $is_auth}
<a href="?m=pc&amp;a=topicCommentDeleteConfirm.view&amp;topic_comment_id={$item.topic_comment_id}">削除</a>
{/if}
</div><!-- end table-foot -->
{foreachelse}
<div class="table-body">
コメントはありません。
</div><!-- end table-body -->
<div class="table-foot">
</div><!-- end table-foot -->
{/foreach}
<br />
{* ここまで：コメント一覧 *}

{* ここから：コメント *}
<div class="table-title">
<a id="comment_input"></a>
コメントを投稿する
</div><!-- end table-title -->
<div class="table-body">
{include file="incErrorMessage.tpl"}
<form action="./#comment_input" method="post">
<div>
<input type="hidden" name="m" value="pc" />
<input type="hidden" name="a" value="topicCommentInsert.do" />
<input type="hidden" name="topic_id" value="{$topic.topic_id}" />
<input type="hidden" name="allow_comment" value="{$topic.allow_comment}" />
</div>
<table cellpadding="1" cellspacing="0" border="0" width="100%">
<tr>
<td class="form-label">名前&nbsp;[*]：</td>
<td><input type="text" name="author_name" value="{$author_name}" style="width: 150px;" /></td>
</tr>
<tr>
<td class="form-label">E-Mail：</td>
<td><input type="text" name="author_email" value="{$author_email}" style="width: 250px;" /></td>
</tr>
<tr>
<td class="form-label">Cookieに保存：</td>
<td><input type="checkbox" class="checkbox m" name="is_save" id="is_save" value="1"{if $is_save == 1} checked="checked"{/if} /><label for="is_save"></label></td>
</tr>
<tr>
<td class="form-label t">コメント&nbsp;[*]：</td>
<td><textarea name="comment" cols="36" rows="5">{$comment|smarty:nodefaults}</textarea></td>
</tr>
{if $topic.allow_comment == '1'}
<tr>
<td class="form-label t">暗証番号&nbsp;[*]：</td>
<td><input type="password" name="author_password" value="{$author_password}" maxlength="4" style="width: 50px;" />
<br /><div class="fd_caution">※4桁の暗証番号を入力して下さい</div></td>
</tr>
{/if}
<tr>
<td colspan="2"><input type="submit" class="submit" value="投稿" /></td>
</tr>
</table>
</form>
</div><!-- end table-body -->
<div class="table-foot">
</div><!-- end table-foot -->
<br />
{* ここまで：コメント *}

</div><!-- end center -->
{* ここまで：本文 *}

<div class="clear"></div>

</div><!-- end center-left -->

<div class="right">

{* 右サイドメニュー *}
{include file="incSideBlockRight.tpl"}

</div><!-- end right -->

<div class="clear"></div>

</div><!-- end container-main -->

{include file="incBlockFooter.tpl"}

</div><!-- end container -->

</body>
</html>
